*****************************
*** CONVERGENCE OVER TIME ***
*****************************
	
	global hcol plb1 
	global mcol black
	global lcol plg1 
	
	global pwtcol plr1 
	global wdicol ply1 
	global madcol pll1 
	
	*** Rolling convergence graph
		use "$output/coefficients.dta", clear 
		keep if endyear == maxend
	
	*** Stagger years for graph
		gen startyear2 = startyear + .2
		gen startyear3 = startyear + .4
	
		#delimit ;
		tw  (rcap lower upper startyear if measure == "mad" & startyear >=1960 & startyear <= 2010, lcolor(${madcol}%30)) 	
			(rcap lower upper startyear2 if measure == "pwt" & startyear >=1960 & startyear <= 2010, lcolor(${pwtcol}%30)) 	
			(rcap lower upper startyear3 if measure == "wdi" & startyear >=1960 & startyear <= 2010, lcolor(${wdicol}%30)) 	
			(sc beta startyear if measure == "mad" & startyear >=1960 & startyear <= 2010, mcolor(${madcol}%70))	
			(sc beta startyear2 if measure == "pwt" & startyear >=1960 & startyear <= 2010, mcolor(${pwtcol}%70) msymbol(D))
			(sc beta startyear3 if measure == "wdi" & startyear >=1960 & startyear <= 2010, mcolor(${wdicol}%70) msymbol(S)), 	
			plotregion(style(none) lcolor(none)) yline(0,lcolor(black) lpattern(shortdash) lwidth(medium)) xlabel(1960(5)2010, angle(45)) 
				graphregion(fcol(white) lcol(white)) 
				ytitle("{&beta}", orientation(horizontal) size(large)) 
				xtitle("Initial Year") xsize(4) ysize(4)  ylabel(-.005(.0025).01, angle(horizontal))
				saving("$figures/rollingbeta_transformed_by_series.gph", replace)
				legend(order(	4 "Maddison" 
								5 "PWT"
								6 "WDI") pos(10) ring(0) col(1)
								region(lcolor(none) fcolor(none)));
		#delimit cr
		graph export "$figures/rollingbeta_transformed_by_series.pdf", replace
		
	*** Rolling convergence graph
		use "$output/coefficients_constsamp.dta", clear 
		keep if endyear == maxend
	
	*** Stagger years for graph
		gen startyear2 = startyear + .2
		gen startyear3 = startyear + .4
	
		#delimit ;
		tw  (rcap lower upper startyear if measure == "mad" & startyear >=1960 & startyear <= 2010, lcolor(${madcol}%30)) 	
			(rcap lower upper startyear2 if measure == "pwt" & startyear >=1960 & startyear <= 2010, lcolor(${pwtcol}%30)) 	
			(rcap lower upper startyear3 if measure == "wdi" & startyear >=1960 & startyear <= 2010, lcolor(${wdicol}%30)) 	
			(sc beta startyear if measure == "mad" & startyear >=1960 & startyear <= 2010, mcolor(${madcol}%70))	
			(sc beta startyear2 if measure == "pwt" & startyear >=1960 & startyear <= 2010, mcolor(${pwtcol}%70) msymbol(D))
			(sc beta startyear3 if measure == "wdi" & startyear >=1960 & startyear <= 2010, mcolor(${wdicol}%70) msymbol(S)), 	
			plotregion(style(none) lcolor(none)) yline(0,lcolor(black) lpattern(shortdash) lwidth(medium)) xlabel(1980(5)2010, angle(45)) 
				graphregion(fcol(white) lcol(white)) 
				ytitle("{&beta}", orientation(horizontal) size(large)) 
				xtitle("Initial Year") xsize(4) ysize(4)  ylabel(-.005(.0025).01, angle(horizontal))
				saving("$figures/rollingbeta_transformed_by_series_const.gph", replace)
				legend(order(	4 "Maddison" 
								5 "PWT"
								6 "WDI") pos(10) ring(0) col(1)
								region(lcolor(none) fcolor(none)));
		#delimit cr
		graph export "$figures/rollingbeta_transformed_by_series_const.pdf", replace	